<?php

/**
 * @version    $Id: loader.php 1 2016-05-02 15:40:18Z qinjinpeng $
 */

define("IN_SYS",true);

define('DS', DIRECTORY_SEPARATOR);
define("CORE", dirname(__FILE__) );
define("ROOT", dirname(CORE));
define("DATA", ROOT.DS."data");
define("RESOURCE", DATA.DS."resource");
define('TIMESTAMP', time());

if(!is_file(DATA.DS.'config.php')){
	echo '<script>window.location.href="install.php";</script>';
	exit;
}

include DATA.DS.'config.php';
include CORE.DS.'functions.php';
include RESOURCE.DS.'data_cache.phar';

set_exception_handler(array('loader', 'exception_handler'));
set_error_handler(array('loader', 'exception_error_handler'));
register_shutdown_function(array('loader', 'exception_shutdown_handler'));

error_reporting(E_ALL);
date_default_timezone_set('PRC');
set_include_path(CORE.PATH_SEPARATOR.get_include_path());
session_save_path( DATA.DS.'session' );
@ini_set('memory_limit',         '64M');
@ini_set('session.cache_expire',  180);
@ini_set('session.use_trans_sid', 0);
@ini_set('session.use_cookies',   1);
@ini_set('session.auto_start',    0);

header("Content-type: text/html; charset=utf-8");
if(version_compare(PHP_VERSION, '5.3.0', '<')) throw new Exception("Worning: PHP VERSION NOT SUPPORT!", 0);
define("IS_POST", isset($_SERVER['REQUEST_METHOD']) && $_SERVER['REQUEST_METHOD']=='POST' || isset($_REQUEST['callback']) );
define("IS_AJAX", isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH'])=='xmlhttprequest' );

foreach(array('_POST', '_GET', '_COOKIE', '_REQUEST') as $_method) {
	if(!defined('NOFILTER'))
	{
		$$_method = filter::xss($$_method);
	}
	$$_method = filter::input($$_method);
}

