<?php if(!defined('IN_SYS')) exit('Access Denied'); ?>
<!DOCTYPE html>
<html lang='zh-cn'>
<head>
	<meta charset='utf-8' />
	<title>{$conf[siteName]}</title>
	<meta name="keywords" content="{$conf[keywords]}"/>
	<meta name="description" content="{$conf[description]}"/>
	<link type="text/css" rel="stylesheet" href="/static/css/reset.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/common.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/category.css" />
	<script type="text/javascript" src="/static/js/jquery.js"></script>
	<script type="text/javascript" src="/static/js/common.js"></script>
	<!-- include system/mobile_agent -->
</head>
<body>
	<!-- include header -->
	<div class="wrap cl" >
		<div class="leftcon">
			<div class="index_box cl">
				<!--foreach $categorys $category-->
				<div class="index_con">
					<div class="index_cate"><h1><a href="{$category[link]}" target="_blank">{$category['cname']}</a></h1></div>
					<div class="index_tit">
						<!--foreach $category[list]-->
						<div class="index_title"><a href="{$link}" title="{$title}" target="_blank">{cut($title,40,'...')}</a></div>
						<!--/foreach-->
					</div>
				</div>
				<!--/foreach-->
			</div>
		</div>
		<div class="rightcon">
			<div class="block block_normal cl">
				<div class="caption">热门文章</div>
				<div class="conlist">
					<ul>
						<!--foreach tag::arclist("type=hot&isthumb=1&num=10") -->
						<li><a href="{$link}" target="_blank">{$title}</a></li>
						<!--/foreach-->
					</ul>
				</div>
			</div>	
		</div>
	</div>
	<div class="wrap">
		<div class="flink">
			<div class="caption">友情链接</div>
			<div class="flink_con cl">
				<ul>
					<!-- foreach $flink  -->
					<li><a href="{$url}" target="_blank">{$sitename}</a></li>
					<!-- /foreach -->
				</ul>
			</div>
		</div>
	</div>
	<!-- include footer -->
</body>
</html>