<?php if(!defined('IN_SYS')) exit('Access Denied'); ?>
<!DOCTYPE html>
<html>
<head>
	<meta charset='utf-8' />
	<title>{$page[page_title]}</title>
	<meta name="keywords" content="{$page[keywords]}"/>
	<meta name="description" content="{$page[description]}"/>
	<link type="text/css" rel="stylesheet" href="/static/css/reset.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/common.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/category.css" />
	<script type="text/javascript" src="/static/js/jquery.js"></script>
	<script type="text/javascript" src="/static/js/common.js"></script>
	<!-- include system/mobile_agent -->
</head>
<body>
	<!-- include header -->
	<!-- include subnav -->
	<div class="wrap channel cl">
		<div class="main cl">
			<div class="col"></div>
			<div class="col"></div>
			<div class="col"></div>
			<!-- foreach $page['block'] $block -->
			<!-- include $block[tpl]-->
			<!-- /foreach -->
		</div>
		<div class="block_text">
			{$page[block_text]}
		</div>
	</div>
	<!-- include footer -->
	
	<script>
		function getMinCol(){
			var $arrUl = $(".channel .main .col");
			var $minCol =$arrUl.eq(0);
			$arrUl.each(function(index,elem){
				if($(elem).height()<$minCol.height()){
					$minCol = $(elem);
				}
			});
			return $minCol;
		}
		$(".channel .main .block").each(function(){
			$minCol = getMinCol();
			$minCol.append(this);
		})
	</script>
</body>
</html>