<?php if(!defined('IN_SYS')) exit('Access Denied'); ?>

<!DOCTYPE html>
<html lang='zh-cn'>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
	<title>{$conf[siteName]}</title>
	<link type="text/css" rel="stylesheet" href="/static/css/m_common.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/m_category.css" />
	<script src="/static/js/TouchSlide.1.1.js"></script>
	<link rel="canonical"href="{$web_url}">
</head>
<body>
	<!-- include header -->
	<!-- include subnav -->
	<div class=" m_wrap">
		<div class="m_leftcon">
			<div id="focus" class="focus" >
				<div class="hd"><ul></ul></div>
				<div class="bd">
					<ul>
						<!-- foreach $slide -->
						<li class="">
							<a href="{$link}" target="_self">	<img alt="" src="{$thumb}" width="100%" height="250"></a>
							<div><a href="{$link}" target="_self">{cut($title,40,'...')}</a></div>
						</li>
						<!-- /foreach -->
					</ul>
				</div>
			</div>
			<div>
				<div class="index_tit">
					<!--foreach $list-->
					<div class="index_title"><a href="{$link}" title="{$title}" target="_self">{cut($title,40,'...')}</a></div>
					<!--/foreach-->
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		TouchSlide({
			slideCell: "#focus",
			titCell: ".hd ul",
			mainCell: ".bd ul",
			effect: "leftLoop",
			autoPlay: true,
			autoPage: "<li></li>",
			interTime: "3500",
		});
	</script>

	<!-- include footer -->
</body>
</html>
