<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1, user-scalable=no">
	<title>流量神器 © 2016 ThinkInCloud</title>
	<link rel="stylesheet" type="text/css" href="__APPROOT__/css/dashboard.css" />
	<script type="text/javascript" src="/static/js/jquery.js"></script>
	<script type="text/javascript" src="__APPROOT__/js/common.js"></script>
</head>
<body>
	<!-- include header -->
	<div class="cp-wrap">
		<div class="crumb"></div>
		<div class="cp-form">
			<div class="box">
				<div class="box-title">添加栏目</div>
				<form method="POST" class="AjaxPost">
					
					<div class="control-group">
						<label class="control-label" for="name">栏目名称：</label>
						<div class="controls">
							<input type="text" class="input-xlarge focused" name="cname" value="{$r[cname]}" style="width:450px;">
						</div>
					</div>
					<div id="ckd" >
						<div class="control-group">
							<label class="control-label" for="name">栏目标识：</label>
							<div class="controls">
								<input type="text" class="input-large focused" name="ename"  value="{$r[ename]}">
								<span>栏目地址目录，英文或者数字，必填</span>
							</div>
						</div>


						<div class="control-group">
							<label class="control-label" for="name">关键词：</label>
							<div class="controls">
								<input type="text" class="input-xlarge focused" name="keywords" value="{$r[keywords]}" style="width:450px;">
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="name">描述：</label>
							<div class="controls">
								<textarea name="description" style="width:460px;height:90px;">{$r[description]}</textarea>
							</div>
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="name">栏目类型：</label>
						<div class="controls">
							<select name="type" id="type" onchange="selectType()" disabled="disabled">
								<option value="1" {if $r[type]==1}selected='selected'{/if}>采集</option>
								<option value="2" {if $r[type]==2}selected='selected'{/if}>文章</option>
							</select>
							<input type="hidden" name="type" value="{$r[type]}">
						</div>
					</div>

					<div class="control-group" id="cjurl">
						<label class="control-label" for="name">采集地址：</label>
						<div class="controls">
							<input type="text" class="input-xlarge focused" name="cjurl" value="{$r[cjurl]}" style="width:450px;">
						</div>
					</div>


					<div class="form-actions">
						<input type="submit" class="btn" value="保存" />
						<input type="button" class="btn btn-link" value="返回" onclick="history.back(-1)"/>
					</div>
				</form>	
			</div>
		</div>
	</div>
	<!-- include footer -->
	<script>
		function selectType(){
			var type =$("#type").val();
			if(type==1){
				$("#cjurl").show();
				$("#url_nocontain").show();
				$("#url_contain").show();
				$("#ckd").hide();
			}else if(type==2){
				$("#cjurl").hide();
				$("#url_nocontain").hide();
				$("#url_contain").hide();
				$("#ckd").show();
			}
		}
		selectType();
	</script>
</body>
</html>