<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1, user-scalable=no">
	<title>流量神器 © 2016 ThinkInCloud</title>
	<link rel="stylesheet" type="text/css" href="__APPROOT__/css/dashboard.css" />
	<link rel="stylesheet" type="text/css" href="__APPROOT__/css/form-style.css" />
	<link rel="stylesheet" type="text/css" href="__APPROOT__/css/system.css" />
	<script type="text/javascript" src="/static/js/jquery.js"></script>
	<script type="text/javascript" src="__APPROOT__/js/common.js"></script>
	<script type="text/javascript">
		function changeSwitch(field, obj){
			var tt = $(obj).attr("data");
			if(tt==1){
				$(obj).removeClass("turnbg_1");
				$(obj).addClass("turnbg_0");
				$(obj).attr("data",0);
			}else{
				$(obj).removeClass("turnbg_0");
				$(obj).addClass("turnbg_1");
				$(obj).attr("data",1);
			}
			var ts = $(obj).attr("data");
			$.ajax({
				'url':"?m=system&a=switchval",
				'type': 'post',
				'dataType': 'json',
				'data': {'field':field, 'data':ts},
				success:function(data){
				}
			})

		}
	</script>
</head>
<body>
	<!-- include header -->
	<div class="cp-wrap">
		<div class="crumb"></div>
		<div class="cp-form">
			<form method="POST" class="AjaxPost" onsubmit="return false;">
				<div class="cl" style="margin: 30px 0 10px;">
					<div class="control-group" style="float:left;">
						<label class="control-label">网站开关：</label>
						<div class="controls controls-row">
							<div class="switch turnbg_{$var[siteSwitch]}" data="{$var[siteSwitch]}" onclick="changeSwitch('siteSwitch', this)"></div>
						</div>
					</div>
					<div class="control-group" style="float:left;">
						<label class="control-label">同步更新：</label>
						<div class="controls controls-row">
							<div class="switch turnbg_{$var[syncSwitch]}"  data="{$var[syncSwitch]}" onclick="changeSwitch('syncSwitch', this)"></div>
						</div>
					</div>
				</div>
				<div class="control-group">
					<label class="control-label">网站名称：</label>
					<div class="controls controls-row">
						<input type="text" class="input-xlarge" name="data[siteName]" value="{$var[siteName]}" style="width:450px;" >
					</div>
				</div>
				<div class="control-group">
					<label class="control-label">网站地址：</label>
					<div class="controls controls-row">
						http:// <input type="text" class="input-xlarge" name="data[webHost]" value="{$var[webHost]}" style="width:250px;" >
					</div>
				</div>
				<div class="control-group">
					<label class="control-label">网站关键词：</label>
					<div class="controls controls-row">
						<input type="text" class="input-xlarge" style="width:450px;" name="data[keywords]" value="{$var[keywords]}" >
					</div>
				</div>
				
				<div class="control-group">
					<label class="control-label">网站描述：</label>
					<div class="controls controls-row">
						<textarea name="data[description]" style="width:450px;height:90px;">{$var[description]}</textarea>
					</div>
				</div>

				<div class="control-group" >
					<label class="control-label">图片处理：</label>
					<div class="controls controls-row">
						<label><input type="radio"  name="data[downPicture]" value="1"  {if $var[downPicture]==1}checked='checked'{/if}> 本地图片</label>
						<label><input type="radio"  name="data[downPicture]" value="2"  {if $var[downPicture]==2}checked='checked'{/if}> 远程图片</label>
						<label><input type="radio"  name="data[downPicture]" value="0"  {if $var[downPicture]==0}checked='checked'{/if}> 过滤图片</label>
					</div>
				</div>

				<div class="control-group">
					<label class="control-label">栏目频道 &nbsp; <br/>缓存时间：</label>
					<div class="controls controls-row">
						<input type="text" class="input-xlarge" style="width:150px;" name="data[channel_time]" value="{$var[channel_time]}" >
						<span>建议1个小时(默认：3600)，单位秒（s）</span>
					</div>
				</div>

				<div class="control-group">
					<label class="control-label">文章列表 &nbsp; <br/>缓存时间：</label>
					<div class="controls controls-row">
						<input type="text" class="input-xlarge" style="width:150px;" name="data[list_time]" value="{$var[list_time]}">
						<span>建议24小时(默认：86400)，单位秒（s）</span>
					</div>
				</div>

				<div class="control-group">
					<label class="control-label">内容页面 &nbsp; <br/>缓存时间：</label>
					<div class="controls controls-row">
						<input type="text" class="input-xlarge" style="width:150px;" name="data[page_time]" value="{$var[page_time]}" >
						<span>建议长时间缓存（默认：31622400），单位秒（s）</span>
					</div>
				</div>

				<div class="form-actions">
					<input type="submit" class="btn" value="保存" />
				</div>
			</form>		
		</div>
	</div>
	<!-- include footer -->
	<script type="text/javascript" src="/static/js/jquery.validform.js"></script>
	<script>

	</script>
</body>
</html>