<?php

/**
 * @version    $Id: category.php 1 2016-05-02 15:40:18Z qinjinpeng $
 */

class category_controller extends controller{
	public  $nav;
	public function __construct(){
		parent::__construct();
		$this->nav = tag::nav();
		spider::write();
	}

	public function _empty(){
		$cjurl = decode_uri($_SERVER['REQUEST_URI']);
		if(empty($cjurl)){
			self::page_404();
		}
		llsq::check_link($cjurl);
		$hash = md5($cjurl);
		$page = db::find("select ct.*,cb.body from content as ct left join contentbody as cb on ct.id = cb.content_id where hash ='$hash'");

		$upcache = gp("upcache");
		$refresh = $page && (time()-$this->conf[$page['pagetype'].'_time']>$page['updatetime']) && $this->conf['syncSwitch']==1;
		if($upcache){
			if( $refresh ){
				llsq::httpdown($cjurl, $page);
			}
		}else{
			if($page){
				$pagetemp = unserialize( $page['body'] );
				unset($page['body']);
				$page = array_merge($page,  $pagetemp);
			}elseif($this->conf['syncSwitch']==1  ){
				$pagetemp = llsq::httpdown($cjurl, $page);
				if($page){
					$pagetemp['click'] = $page['click'];
				}
				$page = array_merge($pagetemp, $pagetemp['page']);
				unset($page['page']);
			}else{
				$this->page_503();
				if(self::tpl('sync_closed', true)){
					require self::tpl('sync_closed');
				}else{
					echo '<p style="text-align:center;line-height:500px;">内容正在准备中，请稍后访问</p>';
				}
				exit;
			}
			db::query("update content set click = click+1 where id='$page[id]'");
			if( empty($page['block']) && empty($page['list']) && empty($page['body']) ){
				$this->defPage($page, $cjurl);
			}else{
				require $this->tpl('main_'.$page['pagetype']);
			}
		}
		
	}

	private function defPage($page, $cjurl){
		$page['page_title'] = empty($page['page_title'])?'热点信息—'.$this->conf['siteName']:$page['page_title'];
		$slide = db::select("select * from content where pagetype='page' and  thumb<> '' order by click desc limit 5");
		foreach ($slide as $k=>$v){
			$slide[$k]['link'] = make_uri($v['url']);
		}
		$list =  db::select("select * from content where id<'$page[id]' AND pagetype='page' order by id desc limit 26");
		foreach ($list as $k=>$v){
			$list[$k]['link'] = make_uri($v['url']);
		}

		require $this->tpl('default');
	}
}

