<?php

class userTag{

	/**
	 *  调用导航
	 * @access    public
	 * @return    array
	 */
	public static function nav(){
		$list_nav = db::select("select * from category order by id asc");
		foreach ($list_nav as $k=> $v){
			$type = $v['type'];
			$ename = $v['ename'];
			if($type==2){
				$list_nav[$k]['link'] = "/article/$ename";
			}else{
				$list_nav[$k]['link'] = make_uri($v['cjurl']);
			}	
		}
		return $list_nav;
	}

	/**
	 *  调用文章列表
	 * @access    public
	 * @param     type:调用类型（new=最新；hot=点击排序）; num:调用数量 ; isthumb:是否缩略图 ; categoryid: 栏目编号
	 * @return    array
	 */
	public static function arclist($param=null){
		if($param){
			parse_str($param, $config);
		}
		$orderby = ' ORDER BY id DESC ';
		if(isset($config['type'])){
			switch ($config['type']) {
				case 'hot':
					$orderby = " ORDER BY click DESC ";
					break;
			}
		}
		$addsql = " AND thumb='' ";
		if(isset($config['isthumb'])){
			switch ($config['isthumb']) {
				case 1:
					$addsql = " AND thumb!='' ";
					break;
			}
		}
		if(isset($config['categoryid'])){
			$categoryid = intval($config['categoryid']);
			$addsql .= " AND category_id='$categoryid' ";
		}
		$num = 10;
		if(isset($config['num'])){
			$num = intval($config['num']);
		}
		$list = db::select("select category_id,title,thumb,keywords,description,url,addtime,updatetime,click from content where pagetype='page' $addsql $orderby limit $num ");
		foreach ($list as $key => $value) {
			$list[$key]['link'] = make_uri($value['url']);
			unset($list[$key]['url']);
		}
		return $list;
	}

	public static function ad($id){
		$ad = db::find("select content from ads where id ='$id'");
		$html ="<div>".$ad['content']."</div>";
		return  $html;
	}

}

