<?php if(!defined('IN_SYS')) exit('Access Denied'); ?>
<!DOCTYPE html>
<html lang='zh-cn'>
<head>
	<meta charset='utf-8' />
	<title>{$page[page_title]}-{$conf[siteName]}</title>
	<meta name="keywords" content="{$page[keywords]}"/>
	<meta name="description" content="{$page[description]}"/>
	<link type="text/css" rel="stylesheet" href="/static/css/reset.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/common.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/category.css" />
	<script src="/static/js/TouchSlide.1.1.js"></script>
	<!-- include system/mobile_agent -->
</head>
<body>
	<!-- include header -->
	<!-- include subnav -->
	<div class="wrap">
		<div class="defPage cl">
			<div class="fl">
				<div id="focus" class="focus" >
					<div class="hd"><ul></ul></div>
					<div class="bd">
						<ul>
							<!-- foreach $slide -->
							<li class="">
								<a href="{$link}" target="_blank">	<img alt="" src="{$thumb}" width="345" height="250"></a>
								<div>{cut($title,40,'...')}</div>
							</li>
							<!-- /foreach -->
						</ul>
					</div>
				</div>
				<!-- if !empty($page[keywords]) -->
				<div class="sbox">
					关键词：{$page[keywords]}
				</div>
				<!-- /if -->
				<!-- if !empty($page[description]) -->
				<div class="sbox">
					描述：{$page[description]}
				</div>
				<!-- /if -->
			</div>
			<script type="text/javascript">
				TouchSlide({
					slideCell: "#focus",
					titCell: ".hd ul",
					mainCell: ".bd ul",
					effect: "leftLoop",
					autoPlay: true,
					autoPage: "<li></li>",
					interTime: "3500",
				});
			</script>
			<div  class="fr cl">
				<h1>{$page[page_title]}</h1>
				<div class="listbox">
					<ul>
						<!--foreach $list-->
						<li><a href="{$link}" title="{$title}" target="_blank">{cut($title,40,'...')}</a></li>
						<!--/foreach-->
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- include footer -->
</body>
</html>
