<?php if(!defined('IN_SYS')) exit('Access Denied'); ?>

<!DOCTYPE html>
<html lang='zh-cn'>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
	<title>{$page[page_title]}</title>
	<meta name="keywords" content="{$page[keywords]}"/>
	<meta name="description" content="{$page[description]}"/>
	<link type="text/css" rel="stylesheet" href="/static/css/m_common.css" />
	<link type="text/css" rel="stylesheet" href="/static/css/m_category.css" />
	<link rel="canonical"href="{$web_url}">
</head>
<body>
	<!-- include header -->
	<!-- include subnav -->
	<div class="m_wrap">
		<!--if !empty($page['breadcrumb'])-->
		<div class="breadcrumb">
			{$page['breadcrumb']}
		</div>
		<!--/if-->
		<div class="con_title">
			<h1 style="font-size: 20px; font-weight: bold;">{$page['title']}</h1>
		</div>
		<div class="share">
			<div class="fl" style="margin-right: 20px;">浏览量:{$page[click]}次</div>
			{include ../system/section_share}
		</div>
		<div class="body_img">{$page['body']}</div>
		<div><!-- include ../system/section_comment --></div>
		<div>
			<!-- foreach $page['block'] $block -->
			<!-- include ../$block[tpl]-->
			<!-- /foreach -->
		</div>
		<div>
			<!-- foreach $page['block_more'] $block -->
			<!-- include ../$block[tpl]-->
			<!-- /foreach -->
		</div>
	</div>
	<!-- include footer -->
</body>
</html>
